Please login or register. October 20, 2017, 12:24:50 PM

Author Topic: 7044 170 does not like 5.3 anymore?  (Read 6610 times)

0 Members and 1 Guest are viewing this topic.

supremedalek

  • New Member
  • *
  • Posts: 2
  • Karma: +0/-0
7044 170 does not like 5.3 anymore?
« on: July 09, 2012, 03:45:34 PM »
What frustrates me right now is that I had this very machine running 5.3 before, but now it does not want to.

My firmware levels are

bash-3.00# lscfg  -vp |  grep  alterable
ROM Level.(alterable).......sh040616 <== Service Processor FW level
ROM Level.(alterable).......SPH05195 <== System FW Level
ROM Level.(alterable).......03
bash-3.00#

So, I have the latest firmware levels as mentioned in http://ps-2.kev009.com/rs6000-firmware/7044x70F.html. I had no problems installing 5.1 in that machine but no matter how I try to install it, I keep getting the 0c45 message.

Using either serial port, and a cable made to these specs:

DB9  to   DB9
===       ===
2---------3
3---------2
7---------8
8---------7
6 & 1-----4
4---------6 & 1
5---------5

Did not work. I then put the video card and slapped a monitor, keyboard, and mouse to the machine, and got the same error message. Anything else I could be missing here?

Michael

  • Administrator
  • Hero Member
  • *****
  • Posts: 1052
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #1 on: July 15, 2012, 01:39:52 PM »
I do not know of any changes to AIX 5.3 bootimages, and I will will need to look into what code 0c45 means before replying further.

What TL level is the DVD you are trying to install from? If it is TL12 - do you still have an older version.

Have you also tried from a NIM server and/or and older version.

Last thought - have you verified the firmware level of your DVD device?

Michael

  • Administrator
  • Hero Member
  • *****
  • Posts: 1052
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #2 on: July 15, 2012, 01:49:10 PM »
Thinking you might be using NIM - check the bosinst.data file in the mksysb image being used (assuming you are using one), and/or a bosinst_data resource.

Make sure the console == Default.

#     CONSOLE = Default,< Device which will be your console.  Passed to chcons.>

Look to: /usr/lpp/bosinst/bosinst.template for more documentation

supremedalek

  • New Member
  • *
  • Posts: 2
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #3 on: July 17, 2012, 03:23:57 AM »
I do not know of any changes to AIX 5.3 bootimages, and I will will need to look into what code 0c45 means before replying further.

What TL level is the DVD you are trying to install from? If it is TL12 - do you still have an older version.

Have you also tried from a NIM server and/or and older version.

Last thought - have you verified the firmware level of your DVD device?

I do not know if this helps you but there is some info about the 0c45 error in http://pic.dhe.ibm.com/infocenter/powersys/v3r1m5/topic/p7eai/0C45.htm.

How do you find out the TL level of the CD itself? About NIM server, we actually have none, so that option is out of question. That said, as the original post mentions, I had no issues installing 5.1 in this machine.

With regard of the CDROM firmware, this is what I know about the drive itself:

  cd0               10-60-00-1,0      16 Bit SCSI Multimedia CD-ROM Drive
                                      (650 MB)

        Manufacturer................IBM    
        Machine Type and Model......CDRM00203
        ROS Level and ID............1_02
        Device Specific.(Z0)........058002028F000038
        Part Number.................04N2964    
        EC Level....................F73113    
        FRU Number..................04N2967    

Which I guess means my firmware is pretty ancient (1.02 vs 1.06 according to http://download.boulder.ibm.com/ibmdl/pub/software/server/firmware/16BSCSICDROM.html). So, I ended up getting the latest (!) firmware for that drive and genucode and updated it to 1.06. And after that I was able to install 5.3 without an issue.

Now, that usually would make me quite happy with one exception: I have had installed 5.3 in this very machine before. Why would it work at one point in time (last year) but then not now? Would the cd drive *forget* its firmware revision or did something else happened?
« Last Edit: July 17, 2012, 04:24:25 PM by supremedalek »

Michael

  • Administrator
  • Hero Member
  • *****
  • Posts: 1052
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #4 on: July 19, 2012, 04:37:00 PM »
If it was the same CD used to install it should have worked fine.

After having read more on the led code - and that many systems have had the error show up (I have even had it and replacing the serial cable fixed things for me) I do not think the CD ROM driver was the issue.

My best guess is that a pin might (have been) bent just a little bit, and moving the system around to study/fix the problem now has all pins "connecting" and the search for the console is successful.

If the problem is/was the cable, the problem could come back with AIX 5.1 (or earlier).

Glad to hear you got it all working.

CamKrist

  • Registered
  • *
  • Posts: 1
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #5 on: July 15, 2013, 09:45:16 AM »
Similar matter has already been discussed at yahoo answers. I can post the link if needed

Michael

  • Administrator
  • Hero Member
  • *****
  • Posts: 1052
  • Karma: +0/-0
Re: 7044 170 does not like 5.3 anymore?
« Reply #6 on: July 15, 2013, 09:48:54 AM »
Will be fine to have the link here as well. No sense in making people search further if they land here first.